Public Attributes | List of all members
ble_gap_adv_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Advertising parameters for legacy advertising. More...

`#include <ble_gapm.h>`

## Public Attributes
uint8_t | adv_mode
uint8_t | disc_mode
uint8_t | filter_pol
ble_gap_bdaddr_t | peer_addr
uint16_t | adv_intv_min
uint16_t | adv_intv_max
uint8_t | chnl_map
bool | scan_req_ind_en
int8_t | max_tx_pwr

## Detailed Description

Advertising parameters for legacy advertising.

Definition at line 575 of file ble_gapm.h.

## Member Data Documentation

## ◆ adv_intv_max

uint16_t ble_gap_adv_param_t::adv_intv_max

Maximum advertising interval (in unit of 625 us). Must be greater than 20 ms.

Definition at line 582 of file ble_gapm.h.

## ◆ adv_intv_min

uint16_t ble_gap_adv_param_t::adv_intv_min

Minimum advertising interval (in unit of 625 us). Must be greater than 20 ms.

Definition at line 581 of file ble_gapm.h.

## ◆ adv_mode

uint8_t ble_gap_adv_param_t::adv_mode

Advertising mode (see enum ble_gap_adv_mode_t).

Definition at line 577 of file ble_gapm.h.

## ◆ chnl_map

uint8_t ble_gap_adv_param_t::chnl_map

Advertising channel map. See GAP ADV CHANNEL (bitmask).

Definition at line 583 of file ble_gapm.h.

## ◆ disc_mode

uint8_t ble_gap_adv_param_t::disc_mode

Discovery mode (see enum ble_gap_disc_mode_t).

Definition at line 578 of file ble_gapm.h.

## ◆ filter_pol

uint8_t ble_gap_adv_param_t::filter_pol

Advertising filtering policy (see enum ble_gap_adv_filter_policy_t).

Definition at line 579 of file ble_gapm.h.

## ◆ max_tx_pwr

int8_t ble_gap_adv_param_t::max_tx_pwr

Tx power, unit(dBm). BLE_RF_TX_MODE_SPA_MODE support value:[-20, -16, -10, -8, -5, 0, 1, 2, 3, 4, 5]. BLE_RF_TX_MODE_HPA_MODE support value:[-10, -5, 0, 1, 3, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15].

Definition at line 585 of file ble_gapm.h.

## ◆ peer_addr

ble_gap_bdaddr_t ble_gap_adv_param_t::peer_addr

Peer address configuration (only used in case of directed advertising, or used to locate the IRK list).

Definition at line 580 of file ble_gapm.h.

## ◆ scan_req_ind_en

bool ble_gap_adv_param_t::scan_req_ind_en

Indicate if the application should be informed when receiving a scan request from the scanner.

Definition at line 584 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h